Bug 830192

Summary: [RFE] Capture output from commands in English instead of the language of the user executing sosreport
Product: [Fedora] Fedora Reporter: Niels de Vos <ndevos>
Component: sosAssignee: Bryn M. Reeves <bmr>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: bmr, kroberts, pierre
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-06-17 19:07:38 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Niels de Vos 2012-06-08 09:55:29 EDT
Description of problem:
When going through some details from a sosreport and a lot of the details are in Japanese. I don't speak the language, but can understand the important parts. 
In order to work with the details captured in the sosreport, I need to check the output on a system which I can understand.

Version-Release number of selected component (if applicable):
any sosreport

How reproducible:
100%

Steps to Reproduce:
1. LANG="ja_JP.UTF-8" sosreport
  
Actual results:
This is just one example:
$ cat sos_commands/filesys/parted_-s_.dev.sdb_print モデル:
IBM ServeRAID M5015 (scsi) ディスク /dev/sdb: 4193GB セクタサイズ (論理/物理):
512B/512B パーティションテーブル: gpt

番号  開始    終了    サイズ  ファイルシステム  名前     フラグ 1    1049kB  4193GB
4193GB  xfs               primary

Expected results:
# parted -s /dev/sda print
Model: ATA HITACHI HTS72323 (scsi)
Disk /dev/sda: 320GB
Sector size (logical/physical): 512B/512B
Partition Table: msdos

Number  Start   End    Size   Type     File system  Flags
 1      1049kB  525MB  524MB  primary  ext4         boot
 2      525MB   320GB  320GB  primary 

Additional info:
Discussion on the sos-devel mailinglisg:
- https://www.redhat.com/archives/sos-devel/2012-June/msg00001.html
Comment 1 Bryn M. Reeves 2014-04-01 07:45:58 EDT
Upstream: https://github.com/sosreport/sosreport/issues/249
Comment 2 Bryn M. Reeves 2014-06-17 19:07:38 EDT
Fixed in rawhide.